Skip to main content

Atrium API

Resume Aggregation from MFA

This endpoint answers the challenges needed when a member has been challenged by multi-factor authentication.

Only a member with connection status CHALLENGED can be resumed using this endpoint.

PUT
/users/{user_guid}/members/{member_guid}/resume

Request sample

Language:sh

_19
curl -i -X PUT 'https://vestibule.mx.com/users/{user_guid}/members/{member_guid}/resume' \
_19
-H 'Accept: application/vnd.mx.atrium.v1+json' \
_19
-H 'Content-Type: application/json' \
_19
-H 'MX-API-Key: {mx_api_key}' \
_19
-H 'MX-Client-ID: {mx_client_id}' \
_19
-d '{
_19
"member":{
_19
"challenges":[
_19
{
_19
"guid": "institution-credential-guid",
_19
"value": "user-entered-value"
_19
},
_19
{
_19
"guid": "institution-credential-guid",
_19
"value": "user-entered-value"
_19
}
_19
]
_19
}
_19
}'

Response sample

200
Language:json

_15
{
_15
"member": {
_15
"aggregated_at": "2016-09-30T14:31:45-06:00",
_15
"connection_status": "RESUMED",
_15
"guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
_15
"identifier":"unique_id",
_15
"institution_code": "mxbank",
_15
"is_being_aggregated": true,
_15
"metadata": "{\"credentials_last_refreshed_at\": \"2015-10-15\"}",
_15
"name": "MX Bank",
_15
"status": "RECEIVED",
_15
"successfully_aggregated_at": null,
_15
"user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54"
_15
}
_15
}